| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iWin32Canvas Struct Reference

This interface provides some extra functionality for Win32 canvases. More...

`#include <csutil/win32/win32.h>`

Inheritance diagram for iWin32Canvas:

[legend]
List of all members.

## Public Member Functions
virtual HWND | GetWindowHandle ()=0
| Returns the handle to the canvas' window.

## Detailed Description

This interface provides some extra functionality for Win32 canvases.

Remarks:
  As the name suggests, this interface provides functionality specific to the Win32 platform. It can be retrieved from the object registry via CS_QUERY_REGISTRY(), as an instance of this object will be registered with the tag `iWin32Assistant'. To ensure that code using this functionality compiles properly on all other platforms, the use of the header file should be surrounded by appropriate '#if defined(CS_PLATFORM_WIN32) ... #endif' statements.

Definition at line 103 of file win32.h.

## Member Function Documentation

virtual HWND iWin32Canvas::GetWindowHandle | ( |  | ) | `[pure virtual]`

Returns the handle to the canvas' window.

The documentation for this struct was generated from the following file:

- csutil/win32/win32.h